Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

(résolu) Pb instalation dépendances Espeasy

Avatar de l’utilisateur
franx
Timide
Messages : 41
Inscription : 11 févr. 2015, 14:09
Localisation : 69 Pontcharra sur turdine

Re: Pb instalation dépendances Espeasy

Message par franx » 05 juil. 2018, 09:23

:D :D :D je viens juste de le faire, ( je commence a comprendre comment fonctionne les log) .

Je viens de relancer les dépendances et là ...... miracle ça passe enfin.

Merci a tous pour votre aide :) ;)

Il me reste juste a changer le MDP pour Debian. quelqu'un connait la commande ?


Merci encore
Franx

vincenzi1
Timide
Messages : 252
Inscription : 01 mars 2017, 20:25
Localisation : Normandie

Re: Pb instalation dépendances Espeasy

Message par vincenzi1 » 05 juil. 2018, 09:30

passwd root pour root

mophete
Timide
Messages : 12
Inscription : 08 avr. 2018, 14:26
Localisation : Pessac, Gironde

Re: (résolu) Pb instalation dépendances Espeasy

Message par mophete » 11 janv. 2019, 08:08

Bonjour,

Je rencontre moi aussi un soucis pour installer les dépendances du plugin Espeasy.

Voici le log que j'obtiens :

Début de l'installation
--2019-01-11 07:54:10-- https://raw.githubusercontent.com/lunar ... /nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.0.133, 151.101.64.133, 151.101.128.133, ...
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.0.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1489 (1.5K) [text/plain]
Saving to: 'dependencies.sh'
0K . 100% 21.0M=0s
2019-01-11 07:54:10 (21.0 MB/s) - 'dependencies.sh' saved [1489/1489]
dependencies.sh: 3: [: espeasy: unexpected operator
Version actuelle : 8
Hit:1 http://archive.raspberrypi.org/debian stretch InRelease
Hit:2 http://raspbian.raspberrypi.org/raspbian stretch InRelease
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version (9.20161125+rpi1).
0 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
Ok, version suffisante
dependencies.sh: 59: dependencies.sh: npm: not found
chown: cannot access 'node_modules': No such file or directory
Fin de l'installation


Voici les manips que j'ai tenté avant de poster ici :

sudo apt-get update
sudo apt-get upgrade -y
sudo apt-get dist-upgrade -y
sudo rpi-update -y
sudo reboot


puis apres le reboot au cas où :
sudo dpkg --configure -a
sudo reboot (mieux vaut trop que pas assez...)

J'ai tenté de désinstaller le plugin puis le réinstaller mais cela ne change rien.

Malgré tout ceci je ne parviens décidément pas à installer ces dépendances.
Pour info je tourne sur rPI 3b+ avec raspbian

Un peu d'aide s'il vous plait ?? :)

Denisp31
Timide
Messages : 16
Inscription : 13 févr. 2017, 18:36

Re: (résolu) Pb instalation dépendances Espeasy

Message par Denisp31 » 17 févr. 2019, 21:54

Bonjour, j'ai le même souvi, pas moyen d'installe les dépendances,. en ssh j'ai tenté la manip concernant les signatures et ça me donne ceci

root@z83-ll:/home/box# curl https://repo.solid-build.xyz/debian/jes ... elease.key | sudo apt-key add -
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 1068 100 1068 0 0 3798 0 --:--:-- --:--:-- --:--:-- 3814
key A86C36D7E45C02CD:
1 signature not checked due to a missing key
gpg: WARNING: nothing exported
gpg: no valid OpenPGP data found.
gpg: Total number processed: 0
root@z83-ll:/home/box#

quelqu'un aurait une idée ?
Merci
Denis
Toulousain
Z 83 II - Rfplayer - Zwave - Netatmo - Wemos - Sonoff - Chinoiseries

Répondre

Revenir vers « [Plugin Tiers] ESPEasy »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité